###############################################################################
#
# shadermaker.pro - Shader Maker's main project file
#
# Use this file to generate a Makefile.
#
# Generating Makefile:
#  $ qmake
#
# Generating Visual Studio .NET 2003 .vcproj file:
#  $ qmake -win32 -tp vc -spec win32-msvc.net
#
# WARNING: Currently .vcproj files are not created correctly.
#          Use the project files located in win32 instead.
#
# Last mod:  2008-02-27
#


###############################################################################
# main configuration
###############################################################################

CONFIG += qt release warn_on opengl
QT += opengl

TEMPLATE = app
TARGET = shadermaker
DESTDIR = ..

OBJECTS_DIR = obj
MOC_DIR = $$OBJECTS_DIR
RCC_DIR = $$OBJECTS_DIR

DEPENDPATH += $$OBJECTS_DIR
INCLUDEPATH += .


#
# WIN32:
#
win32 {
	CONFIG += debug_and_release
}


###############################################################################
#	RESOURCES
###############################################################################

RESOURCES = images/images.qrc


###############################################################################
# sources
###############################################################################

SOURCES += editor.cpp \
           editwindow.cpp \
           geometry.cpp \
           glwidget.cpp \
           highlighter.cpp \
           lightwidget.cpp \
           main.cpp \
           objmodel.cpp \
           programwindow.cpp \
           scene.cpp \
           scenewidget.cpp \
           shader.cpp \
           sourceeditor.cpp \
           texturewidget.cpp \
           uniform.cpp \
           uniformwidget.cpp \
           universalslider.cpp \
           vertexstream.cpp \
           glee/GLee.c


###############################################################################
# headers
###############################################################################

HEADERS += application.h \
           camera.h \
           config.h \
           editor.h \
           editwindow.h \
           glwidget.h \
           light.h \
           lightwidget.h \
           model.h \
           programwindow.h \
           scene.h \
           scenewidget.h \
           shader.h \
           sourceeditor.h \
           stdshader.h \
           texture.h \
           texturewidget.h \
           uniform.h \
           uniformwidget.h \
           universalslider.h \
           vector.h \
           vertexstream.h \
           glee/GLee.h

